org.keycloak

## Class OAuthErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.keycloak.OAuthErrorException

- All Implemented Interfaces:
    Serializable

      public class OAuthErrorException
      extends Exception

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESS_DENIED`
    `static String` | `AUTHORIZATION_PENDING`
    `protected String` | `description`
    `protected String` | `error`
    `static String` | `EXPIRED_TOKEN`
    `static String` | `INSUFFICIENT_SCOPE`
    `static String` | `INTERACTION_REQUIRED`
    `static String` | `INVALID_CLIENT`
    `static String` | `INVALID_CLIENT_METADATA`
    `static String` | `INVALID_GRANT`
    `static String` | `INVALID_REDIRECT_URI`
    `static String` | `INVALID_REQUEST`
    `static String` | `INVALID_REQUEST_OBJECT`
    `static String` | `INVALID_REQUEST_URI`
    `static String` | `INVALID_SCOPE`
    `static String` | `INVALID_TOKEN`
    `static String` | `LOGIN_REQUIRED`
    `static String` | `REQUEST_NOT_SUPPORTED`
    `static String` | `REQUEST_URI_NOT_SUPPORTED`
    `static String` | `SERVER_ERROR`
    `static String` | `SLOW_DOWN`
    `static String` | `TEMPORARILY_UNAVAILABLE`
    `static String` | `UNAUTHORIZED_CLIENT`
    `static String` | `UNSUPPORTED_GRANT_TYPE`
    `static String` | `UNSUPPORTED_RESPONSE_TYPE`
    `static String` | `UNSUPPORTED_TOKEN_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthErrorException(String error)`
    `OAuthErrorException(String error, String description)`
    `OAuthErrorException(String error, String description, String message)`
    `OAuthErrorException(String error, String description, String message, Throwable cause)`
    `OAuthErrorException(String error, String description, Throwable cause)`
    `OAuthErrorException(String error, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getError()`
    `void` | `setDescription(String description)`
    `void` | `setError(String error)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_REQUEST

          public static final String INVALID_REQUEST

      See Also:
        Constant Field Values

    - #### INVALID_SCOPE

          public static final String INVALID_SCOPE

      See Also:
        Constant Field Values

    - #### UNAUTHORIZED_CLIENT

          public static final String UNAUTHORIZED_CLIENT

      See Also:
        Constant Field Values

    - #### ACCESS_DENIED

          public static final String ACCESS_DENIED

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_RESPONSE_TYPE

          public static final String UNSUPPORTED_RESPONSE_TYPE

      See Also:
        Constant Field Values

    - #### SERVER_ERROR

          public static final String SERVER_ERROR

      See Also:
        Constant Field Values

    - #### TEMPORARILY_UNAVAILABLE

          public static final String TEMPORARILY_UNAVAILABLE

      See Also:
        Constant Field Values

    - #### INVALID_REQUEST_URI

          public static final String INVALID_REQUEST_URI

      See Also:
        Constant Field Values

    - #### INVALID_REQUEST_OBJECT

          public static final String INVALID_REQUEST_OBJECT

      See Also:
        Constant Field Values

    - #### INTERACTION_REQUIRED

          public static final String INTERACTION_REQUIRED

      See Also:
        Constant Field Values

    - #### LOGIN_REQUIRED

          public static final String LOGIN_REQUIRED

      See Also:
        Constant Field Values

    - #### REQUEST_NOT_SUPPORTED

          public static final String REQUEST_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### REQUEST_URI_NOT_SUPPORTED

          public static final String REQUEST_URI_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### INVALID_TOKEN

          public static final String INVALID_TOKEN

      See Also:
        Constant Field Values

    - #### INSUFFICIENT_SCOPE

          public static final String INSUFFICIENT_SCOPE

      See Also:
        Constant Field Values

    - #### INVALID_REDIRECT_URI

          public static final String INVALID_REDIRECT_URI

      See Also:
        Constant Field Values

    - #### INVALID_CLIENT_METADATA

          public static final String INVALID_CLIENT_METADATA

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_PENDING

          public static final String AUTHORIZATION_PENDING

      See Also:
        Constant Field Values

    - #### SLOW_DOWN

          public static final String SLOW_DOWN

      See Also:
        Constant Field Values

    - #### EXPIRED_TOKEN

          public static final String EXPIRED_TOKEN

      See Also:
        Constant Field Values

    - #### INVALID_CLIENT

          public static final String INVALID_CLIENT

      See Also:
        Constant Field Values

    - #### INVALID_GRANT

          public static final String INVALID_GRANT

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_GRANT_TYPE

          public static final String UNSUPPORTED_GRANT_TYPE

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_TOKEN_TYPE

          public static final String UNSUPPORTED_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### error

          protected String error

    - #### description

          protected String description

  - ### Constructor Detail

    - #### OAuthErrorException

          public OAuthErrorException(String error,
                                     String description,
                                     String message,
                                     Throwable cause)

    - #### OAuthErrorException

          public OAuthErrorException(String error,
                                     String description,
                                     String message)

    - #### OAuthErrorException

          public OAuthErrorException(String error,
                                     String description)

    - #### OAuthErrorException

          public OAuthErrorException(String error,
                                     String description,
                                     Throwable cause)

    - #### OAuthErrorException

          public OAuthErrorException(String error)

    - #### OAuthErrorException

          public OAuthErrorException(String error,
                                     Throwable cause)

  - ### Method Detail

    - #### getError

          public String getError()

    - #### setError

          public void setError(String error)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

Copyright © 2021 JBoss by Red Hat. All rights reserved.